<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.customer.WorkOrderMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.customer.WorkOrderEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="update_by" property="updateBy" />
                <result column="sort" property="sort" />
                    <result column="customer_id" property="customerId" />
                    <result column="title" property="title" />
                    <result column="expect_time" property="expectTime" />
                    <result column="actual_time" property="actualTime" />
                    <result column="remind_user_ids" property="remindUserIds" />
                    <result column="current_user_name" property="currentUserName" />
                    <result column="current_user_id" property="currentUserId" />
                    <result column="work_order_category_id" property="workOrderCategoryId" />
                    <result column="urgent_status" property="urgentStatus" />
                    <result column="order_status" property="orderStatus" />
                    <result column="order_count" property="orderCount" />
                    <result column="remark" property="remark" />
                    <result column="revoke_time" property="revokeTime" />
                    <result column="commit_time" property="commitTime" />
                    <result column="order_from" property="orderFrom" />
                    <result column="order_again" property="orderAgain" />
                    <result column="create_department_id" property="createDepartmentId" />
                    <result column="owner_department_id" property="ownerDepartmentId" />
                    <result column="create_department_name" property="createDepartmentName" />
                    <result column="owner_department_name" property="ownerDepartmentName" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, customer_id, title, expect_time, actual_time, notice_user, current_user_name, work_order_category_id, urgent_status, order_status, order_count, remark, revoke_time, order_from, order_again
        </sql>

</mapper>
